{% extends configuration.vars.templates.layout|default('@GaiaAdmin/layout.html.twig') %}

{% set header = configuration.vars.header|default(metadata.applicationName~'.ui.'~metadata.pluralName) %}
{% set section = configuration.section|default('admin') %}
{% set event = metadata.applicationName ~ '.' ~ section ~'.' ~ metadata.name ~ '.index' %}
{% set definition = resources.definition %}

{% block title %}{{ header|trans }} | {{ parent() }}{% endblock %}

{% block content %}
    {{ sylius_template_event(['gaia_admin.index', event], _context) }}
{% endblock %}

{% block stylesheets %}
    {{ parent() }}

    {{ sylius_template_event(['gaia_admin.index.stylesheets', event ~ '.stylesheets'], {
        'metadata': metadata
    }) }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    {{ sylius_template_event(['gaia_admin.index.javascripts', event ~ '.javascripts'], {
        'metadata': metadata
    }) }}
{% endblock %}
